com.verisign.epp.codec.launchpolicy.v01

## Enum EPPLaunchPolicyPhase.MarkValidation

- java.lang.Object
- - java.lang.Enum<EPPLaunchPolicyPhase.MarkValidation>
  - - com.verisign.epp.codec.launchpolicy.v01.EPPLaunchPolicyPhase.MarkValidation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<EPPLaunchPolicyPhase.MarkValidation>
  Enclosing class:
    EPPLaunchPolicyPhase

      public static enum EPPLaunchPolicyPhase.MarkValidation
      extends java.lang.Enum<EPPLaunchPolicyPhase.MarkValidation>
      implements java.io.Serializable, java.lang.Cloneable

  Possible mark validation models supported by the phase.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `code` Indicates support for the "code" Mark Validation Model, where the mark code by itself is used to validate that the mark matches the domain name.
    `codeWithMark` Indicates support for the "code with mark" Mark Validation Model, where the code is used along with the mark information by the server to validate the mark utilizing an external party.
    `mark` Indicates support for the "mark" Mark Validation Model, where the mark information is passed without any other validation element.
    `signedMark` Indicates support for the "signed mark" Mark Validation Model, where the mark information is digitally signed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPLaunchPolicyPhase.MarkValidation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPLaunchPolicyPhase.MarkValidation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### code

          public static final EPPLaunchPolicyPhase.MarkValidation code

      Indicates support for the "code" Mark Validation Model, where the mark code by itself is used to validate that the mark matches the domain name. This model is supported using the <launch:codeMark> element with just the <launch:code> element.

    - #### mark

          public static final EPPLaunchPolicyPhase.MarkValidation mark

      Indicates support for the "mark" Mark Validation Model, where the mark information is passed without any other validation element. The server will use some custom form of validation to validate that the mark information is authentic. This model is supported using the <launch:codeMark> element with just the <mark:mark> element.

    - #### codeWithMark

          public static final EPPLaunchPolicyPhase.MarkValidation codeWithMark

      Indicates support for the "code with mark" Mark Validation Model, where the code is used along with the mark information by the server to validate the mark utilizing an external party. This model is supported using the <launch:codeMark> element that contains both the <launch:code> and the <mark:mark> elements.

    - #### signedMark

          public static final EPPLaunchPolicyPhase.MarkValidation signedMark

      Indicates support for the "signed mark" Mark Validation Model, where the mark information is digitally signed. The digital signature can be directly validated by the server using the public key of the external party that created the signed mark using its private key. This model is supported using the <smd:signedMark> and <smd:encodedSignedMark> elements.

  - ### Method Detail

    - #### values

          public static EPPLaunchPolicyPhase.MarkValidation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPLaunchPolicyPhase.MarkValidation c : EPPLaunchPolicyPhase.MarkValidation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPLaunchPolicyPhase.MarkValidation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © VeriSign Inc. All Rights Reserved.